Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592504 - Review Request: nodebrain - a declarative rule-based language for state and event monitoring
Summary: Review Request: nodebrain - a declarative rule-based language for state and e...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-15 01:58 UTC by John Ellson
Modified: 2011-01-10 23:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-10 23:34:07 UTC


Attachments (Terms of Use)

Description John Ellson 2010-05-15 01:58:28 UTC
Spec URL: http://john.ellson.com/nodebreain.spec
SRPM URL: http://john.ellson.com/nodebrain-0.8.0-1.fc11.src.rpm
Description:   NodeBrain is an interpreter of a declarative rule-based language
designed for construction of state and event monitoring applications. It
interacts with other monitoring components to perform simple element state
monitoring or complex event correlation based on user specified rules. It is
extended through the development of node modules (plug-ins) using NodeBrain's
C API, and servants (programs written in any language) that interact with
NodeBrain via stdin, stdout, and stderr. A small set of plug-ins are
distributed with NodeBrain to provide commonly needed features such as
peer-to-peer communication, log monitoring, event caching, and a
web browser interface for administrators.

Upstream developer:  Ed Trettevik <eat@nodebrain.org>
Packager:  John Ellson <john.ellson@comcast.net>

Comment 2 John Ellson 2010-09-22 14:00:55 UTC
Updated.

Spec URL: http://john.ellson.com/nodebrain.spec
SRPM URL: http://john.ellson.com/nodebrain-0.8.0-1.fc14.src.rpm


Could someone please take a quick look and tell me what I have to do nesxt?

Comment 3 Martin Gieseking 2010-10-19 20:09:53 UTC
Hi John,

is this your first package submission for Fedora? I can't find your email address in the packager scm commit group. If so, please add FE-NEEDSPONSOR to the Blocks field above and see the following wiki page for further information:
https://fedoraproject.org/wiki/PackageMaintainers/Join#How_to_join_the_Fedora_Package_Collection_Maintainers.3F

Comment 4 John Ellson 2010-10-23 13:38:36 UTC
I've not been an active/primary package maintainer before, but I thought I was registered as co-maintainer for graphviz.  Perhaps under by business email address: ellson@research.att.com ? 

No matter, I've added FE-NEEDSPONSOR, I would certainly appreciate any help getting this package moving.

Comment 5 Jason Tibbitts 2010-11-19 19:16:52 UTC
Current comaintainers for graphviz are alexlan and tremble; I don't think you're in there.

Some random comments:

0.8.3 seems to be available.

If you can do a parallel make (using %{?_smp_mflags}), please do so; otherwise please indicate in a comment why it does not work.  Who likes to wait when we all have multicore machines these days?

Please use the recommended scriptlets from http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Texinfo.

rpmlint complains many times about dangling symlinks:
  nodebrain-devel.x86_64: W: dangling-relative-symlink
   /usr/lib64/nb/nb_peer.so nb_peer.so.0.0.1
which is a bit odd.  I think the issue is that rpmlint doesn't understand things going in a subdirectory of _libdir, but then that begs the question of just what the stuff in /usr/lib(64)/nb really is.  If that stuff is just plugins that are dlopen'ed, there's probably no need for them to have devel symlinks.  lib/nbmodule.c:nbModuleLoad does imply that there are dlopen'ed plugins.

  nodebrain.x86_64: E: zero-length /usr/share/doc/nodebrain-0.8.0/ChangeLog
Any idea why the ChangeLog is empty?  Is there any point in shipping it if it's empty?

  nodebrain.x86_64: W: file-not-utf8 /usr/share/info/nbTutorial.info.gz
It looks like there's some kind of weird microsoft-encoded single-quite stuff in nbTutorial.info:
  illustrate this, let<92>s first write a simple Perl script named
Should probably be replaced with a proper single quote.  There may be more stuff in there; I didn't search through the entire 4000 line document.

  nodebrain.x86_64: W: no-manual-page-for-binary nb-0.8.0
This is OK; the nb link has a manpage.

  nodebrain-debuginfo.x86_64: E: debuginfo-without-sources
This implies that either the executables are being stripped, or the program isn't compiled with the proper flags.  It looks like it's the latter; for whatever reason, the configure script is ignoring the OS-supplied compiler flags.  This must be fixed.


Note You need to log in before you can comment on or make changes to this bug.